// caserverclass.cpp : Implementation of Ccaserverclass
#include "stdafx.h"
#include "Caserver.h"
#include "caserverclass.h"
#include "data.h"
#include "comarray.h"

/////////////////////////////////////////////////////////////////////////////
// Ccaserverclass

STDMETHODIMP Ccaserverclass::InterfaceSupportsErrorInfo(REFIID riid)
{
	static const IID* arr[] = 
	{
		&IID_Icaserverclass
	};
	for (int i=0; i < sizeof(arr) / sizeof(arr[0]); i++)
	{
		if (InlineIsEqualGUID(*arr[i],riid))
			return S_OK;
	}
	return S_FALSE;
}

STDMETHODIMP Ccaserverclass::GetData(VARIANT *pVar)
{
	CComArray<DATA> array;

	if(!array.Initialize(pVar,10,false))
		return E_FAIL;
	
	DATA d;
	for(int n=0; n<10; n++)
	{
		d.m_nID=n+1;
		d.m_bOK=(n%2?true:false);
		array.SetAt(n,d);
	}

	return S_OK;
}
