#include <windows.h>
#include <tchar.h>
#include <stdio.h>
#include <conio.h>

#include "caserver\data.h"
#include "caserver\comarray.h"

#import "caserver\caserver.tlb" no_namespace

void DoTest()
{
	try
	{
		IcaserverclassPtr pCI(_T("Caserver.caserverclass.1"));

		VARIANT var;
		pCI->GetData(&var);

		CComArray<DATA> array;
		if(array.Attach(&var,true))
		{
			DATA d;
			bool bContinue=true;
			int nSize=array.Size();
			for(int n=0; bContinue && n<nSize; n++)
			{
				bContinue=array.GetAt(n,d);
				if(bContinue)
					printf("DATA(%d)->m_bOK=%s\n",d.m_nID,d.m_bOK?"True":"False");
			}
		}	
	}
	catch(...)
	{
		throw;
	}
}

/////////////////////////////////////////////////////////////////////////////
// main

int main()
{
	CoInitialize(NULL);

	try
	{
		DoTest();
	}
	catch(_com_error&)
	{
		printf("Test failed.\n");
	}	
	
	CoUninitialize();

	printf("Press any key... ");
	getch();
	return 0;
}
